View Issue Details

IDProjectCategoryView StatusLast Update
0002879FreeCADBugpublic2017-02-02 09:29
ReporterFreeCadderAssigned Toeivindkvedalen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002879: Parentheses incorrectly removed from expressions (addendum to #2767)
DescriptionThis should be added to bug #2767 but it's closed.

=-(0+1)
still turns into
=-0 + 1

in 0.17.9802. It correctly displays -1 as result but after Save and Open it's 1.
Steps To ReproduceClick on Spreadsheet cell, enter in Contents field:
-(0+pow(0, 0))
and enter return. Click on same cell again. Contents field shows:
=-0 + pow(0; 0)
TagsNo tags attached.

Relationships

related to 0002767 closedeivindkvedalen Parentheses incorrectly removed from expressions 

Activities

Kunda1

2017-01-28 05:06

manager   ~0008037

@eivindkvedalen temporarily assigning to you to get your attention since OP has indicated that this ticket is related to #2767

Kunda1

2017-01-28 11:54

manager   ~0008043

Forum Thread https://forum.freecadweb.org/viewtopic.php?f=10&t=17223&p=156550#p156550

eivindkvedalen

2017-01-28 21:02

developer   ~0008066

Recreated problem locally.

eivindkvedalen

2017-01-28 21:31

developer   ~0008067

Suggested fix available at https://github.com/eivindkv/FreeCAD/tree/Fix_issue_2879

@FreeCadder: Are you able to test this branch?

Kunda1

2017-01-28 21:32

manager   ~0008068

FYI, changing status to 'Feedback'. This should change back to 'Assigned' when OP responds.

FreeCadder

2017-01-29 02:06

reporter   ~0008069

Last edited: 2017-01-29 02:24

View 3 revisions

Thanks a lot. Sorry, I'm not set up to compile.
Maybe add tests like:

=-(-(A1-1)/2)

# w/ data of FR 002876
=-(Cylinder.Radius + Pipe.Value*1mm - 1"/2)

Issue History

Date Modified Username Field Change
2017-01-28 05:03 FreeCadder New Issue
2017-01-28 05:05 Kunda1 Relationship added related to 0002767
2017-01-28 05:05 Kunda1 Assigned To => eivindkvedalen
2017-01-28 05:05 Kunda1 Status new => assigned
2017-01-28 05:06 Kunda1 Note Added: 0008037
2017-01-28 05:07 Kunda1 Description Updated View Revisions
2017-01-28 11:33 Kunda1 Summary Parentheses incorrectly removed from expressions => Parentheses incorrectly removed from expressions (addendum to #2767)
2017-01-28 11:54 Kunda1 Note Added: 0008043
2017-01-28 21:02 eivindkvedalen Assigned To eivindkvedalen =>
2017-01-28 21:02 eivindkvedalen Note Added: 0008066
2017-01-28 21:02 eivindkvedalen Assigned To => eivindkvedalen
2017-01-28 21:02 eivindkvedalen Status assigned => acknowledged
2017-01-28 21:31 eivindkvedalen Note Added: 0008067
2017-01-28 21:32 Kunda1 Note Added: 0008068
2017-01-28 21:32 Kunda1 Status acknowledged => feedback
2017-01-29 02:06 FreeCadder Note Added: 0008069
2017-01-29 02:06 FreeCadder Status feedback => assigned
2017-01-29 02:08 FreeCadder Note Edited: 0008069 View Revisions
2017-01-29 02:24 FreeCadder Note Edited: 0008069 View Revisions
2017-02-02 09:28 wmayer Changeset attached => FreeCAD Master master 0d6f7770
2017-02-02 09:29 wmayer Status assigned => closed
2017-02-02 09:29 wmayer Resolution open => fixed
2017-02-02 09:29 wmayer Fixed in Version => 0.17